Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3312 - Path to X server not found in /etc/X11/X
Summary: Path to X server not found in /etc/X11/X
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator
Version: 6.0
Hardware: sparc
OS: Linux
medium
low
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-07 13:10 UTC by Ian Cameron
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 07:19:35 UTC


Attachments (Terms of Use)

Description Ian Cameron 1999-06-07 13:10:25 UTC
The file created by Xconfigurator /etc/X11/X on my SPARC
with CG6 framebuffer to the Xsun server is as follows:

exec ../../usr/X11R6/bin/Xsun -fp unix/:-1 $@

It does not work with a relative path, but with:

exec /usr/X11R6/bin/Xsun -fp unix/:-1 $@

it's fine.  I wondered if this is a problem because of an
assumption that the current working directory will be the
users home directory?  Also that the home directory will
only be two levels deep, i.e. /home/bar rather than
/home/foo/bar ?

I have not looked at this on other architectures, but it
could be present on all...

Comment 1 Jeff Johnson 1999-06-08 15:12:59 UTC
What version of Xconfigurator? On my ultra1 I'm seeing a symlink,
not a script. The symlink will correctly find the server with
a relative path while a script won't

bash$ ls -al /etc/X11/X
lrwxrwxrwx   1 root     root           26 Mar 23 15:01 /etc/X11/X ->
../../usr/X11R6/bin/Xsun24*

Comment 2 Ian Cameron 1999-06-08 15:26:59 UTC
I'm running Xconfigurator-4.2.3-3 from the RHL 6.0 distribution.  The
system was a clean install not an upgrade.  I can 'rm /etc/X11/X', run
Xconfigurator again and it will create a file:

> ls -la /etc/X11/X
-rwxr-xr-x   1 root     root           58 Jun  8 16:22 /etc/X11/X*

which contains:

> cat /etc/X11/X
#!/bin/bash
exec ../../usr/X11R6/bin/Xsun -fp unix/:-1 $@

Comment 3 Jeff Johnson 1999-06-09 11:52:59 UTC
OK, got it. I'm running Xconfigurator-4.2.2. As a workaround, edit
/etc/X11/X and remove the relative path.

Preston, this one's yours ...

Comment 4 Preston Brown 1999-06-21 16:06:59 UTC
matt, do you know why this was changed?

Comment 5 Matt Wilson 2000-02-09 07:19:59 UTC
Fixed in 6.1


Note You need to log in before you can comment on or make changes to this bug.